> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aion.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get marketplace app details



## OpenAPI

````yaml GET /api/v1/marketplace/kubernetes/apps/{appName}
openapi: 3.0.3
info:
  title: KubernetesService API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/marketplace/kubernetes/apps/{appName}:
    get:
      tags:
        - KubernetesMarketplace
      summary: Get marketplace app details
      parameters:
        - in: path
          name: appName
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMarketplaceAppResponse'
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    GetMarketplaceAppResponse:
      type: object
      properties:
        app:
          $ref: '#/components/schemas/MarketplaceAppDetails'
      required:
        - app
    MarketplaceAppDetails:
      type: object
      properties:
        summary:
          $ref: '#/components/schemas/MarketplaceAppSummary'
        versions:
          type: array
          items:
            $ref: '#/components/schemas/MarketplaceAppVersion'
      required:
        - summary
    MarketplaceAppSummary:
      type: object
      properties:
        base:
          $ref: '#/components/schemas/MarketplaceAppBase'
        latest_app_version:
          type: string
      required:
        - base
    MarketplaceAppVersion:
      type: object
      properties:
        version:
          type: string
        schema:
          type: object
          additionalProperties:
            type: string
        is_latest:
          type: boolean
    MarketplaceAppBase:
      type: object
      properties:
        app_name:
          type: string
        display_name:
          type: string
        description:
          type: string
        icon_url:
          type: string
        documentation_url:
          type: string

````